Tp::BaseChannelChatStateInterface Class Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
Tp::BaseChannelChatStateInterface Class Reference
Connection manager service implementation

Base class for implementations of Channel.Interface.Chat.State. More...

`#include <TelepathyQt/BaseChannel>`

Inherits Tp::AbstractChannelInterface.

## Public Types
typedef Callback2< void, uint, DBusError * > | SetChatStateCallback

## Public Member Functions
virtual | ~BaseChannelChatStateInterface ()
QVariantMap | immutableProperties () const
Tp::ChatStateMap | chatStates () const
void | setChatStates (const Tp::ChatStateMap &chatStates)
void | setSetChatStateCallback (const SetChatStateCallback &cb)
void | setChatState (uint state, DBusError *error)
void | chatStateChanged (uint contact, uint state)
Public Member Functions inherited from Tp::AbstractChannelInterface
| AbstractChannelInterface (const QString &interfaceName)
virtual | ~AbstractChannelInterface ()
Public Member Functions inherited from Tp::AbstractDBusServiceInterface
| AbstractDBusServiceInterface (const QString &interfaceName)
virtual | ~AbstractDBusServiceInterface ()
QString | interfaceName () const
DBusObject * | dbusObject () const
bool | isRegistered () const
bool | notifyPropertyChanged (const QString &propertyName, const QVariant &propertyValue)
Public Member Functions inherited from Tp::Object
virtual | ~Object ()
Public Member Functions inherited from Tp::RefCounted
| RefCounted ()
virtual | ~RefCounted ()

## Static Public Member Functions
static BaseChannelChatStateInterfacePtr | create ()
template<typename BaseChannelChatStateInterfaceSubclass >
static SharedPtr < BaseChannelChatStateInterfaceSubclass > | create ()

## Protected Member Functions
| BaseChannelChatStateInterface ()
Protected Member Functions inherited from Tp::AbstractDBusServiceInterface
virtual bool | registerInterface (DBusObject *dbusObject)
Protected Member Functions inherited from Tp::Object
| Object ()
void | notify (const char *propertyName)

## Additional Inherited Members
Signals inherited from Tp::Object
void | propertyChanged (const QString &propertyName)

## Detailed Description

Base class for implementations of Channel.Interface.Chat.State.

## Member Typedef Documentation

typedef Callback2<void, uint, DBusError*> Tp::BaseChannelChatStateInterface::SetChatStateCallback

## Constructor & Destructor Documentation

Tp::BaseChannelChatStateInterface::~BaseChannelChatStateInterface | ( |  | ) |
| virtual

Class destructor.

Tp::BaseChannelChatStateInterface::BaseChannelChatStateInterface | ( |  | ) |
| protected

Class constructor.

## Member Function Documentation

static BaseChannelChatStateInterfacePtr Tp::BaseChannelChatStateInterface::create | ( |  | ) |
| inlinestatic

template<typename BaseChannelChatStateInterfaceSubclass >

static SharedPtr<BaseChannelChatStateInterfaceSubclass> Tp::BaseChannelChatStateInterface::create | ( |  | ) |
| inlinestatic

QVariantMap Tp::BaseChannelChatStateInterface::immutableProperties | ( |  | ) | const
| virtual

Return the immutable properties of this interface.

Immutable properties cannot change after the interface has been registered on a service on the bus with registerInterface().

Returns
  The immutable properties of this interface.

Implements Tp::AbstractDBusServiceInterface.

Tp::ChatStateMap Tp::BaseChannelChatStateInterface::chatStates | ( |  | ) | const

void Tp::BaseChannelChatStateInterface::setChatStates | ( | const Tp::ChatStateMap & | chatStates | ) |

void Tp::BaseChannelChatStateInterface::setSetChatStateCallback | ( | const SetChatStateCallback & | cb | ) |

void Tp::BaseChannelChatStateInterface::setChatState | ( | uint | state,
|  | DBusError * | error
| ) |  |

void Tp::BaseChannelChatStateInterface::chatStateChanged | ( | uint | contact,
|  | uint | state
| ) |  |